(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 13.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     10490,        271]
NotebookOptionsPosition[      8673,        238]
NotebookOutlinePosition[      9077,        254]
CellTagsIndexPosition[      9034,        251]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"randomCoreMaxUp", "[", "]"}], ":=", 
  RowBox[{"RandomChoice", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", " ", "1", ",", "2", ",", "3", ",", "4"}], "}"}],
    "]"}]}]], "Input",
 CellChangeTimes->{{3.86861137406139*^9, 3.868611402978558*^9}, {
  3.868612776107621*^9, 3.868612776530805*^9}},
 CellLabel->
  "In[122]:=",ExpressionUUID->"08a8a19c-236f-48d4-ba12-ef67373ab5d9"],

Cell[BoxData[
 RowBox[{
  RowBox[{"randomCoreDwellTime", "[", "]"}], ":=", 
  RowBox[{"RandomChoice", "[", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0.1", ",", "0.2", ",", "0.4", ",", "0.5"}], "}"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.868611413234754*^9, 3.8686114573712063`*^9}},
 CellLabel->
  "In[123]:=",ExpressionUUID->"00d90d23-33c3-41cd-87bd-77e19fd2b5ab"],

Cell[BoxData[
 RowBox[{
  RowBox[{"randomCoreRecirc", "[", "]"}], ":=", 
  RowBox[{"RandomChoice", "[", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0.05", ",", "0.1", ",", "0.2", ",", "0.25"}], "}"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.868611458935173*^9, 3.868611488787373*^9}},
 CellLabel->
  "In[124]:=",ExpressionUUID->"56fa90a2-413a-4718-bfb2-41796efc9099"],

Cell[BoxData[
 RowBox[{
  RowBox[{"randomCoreStartPower", "[", "]"}], ":=", 
  RowBox[{"RandomChoice", "[", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0.1", ",", "0.2", ",", "0.3"}], "}"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.868611508731653*^9, 3.868611535035551*^9}},
 CellLabel->
  "In[125]:=",ExpressionUUID->"20749202-9f0f-4dcc-b5dc-3b10f4ef07cf"],

Cell[BoxData[
 RowBox[{
  RowBox[{"randomCoreStartEnergy", "[", "]"}], ":=", 
  RowBox[{"RandomChoice", "[", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0.025", ",", "0.05", ",", "0.1"}], "}"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.868611566076016*^9, 3.8686116033323917`*^9}},
 CellLabel->
  "In[126]:=",ExpressionUUID->"adb18bdf-97d3-4336-b22b-d5fa23159cff"],

Cell[BoxData[
 RowBox[{
  RowBox[{"randomCoreVarOM", "[", "]"}], ":=", 
  RowBox[{"RandomChoice", "[", 
   RowBox[{"{", 
    RowBox[{"0.5", ",", "2", ",", "3", ",", "5", ",", "8", ",", "13"}], "}"}],
    "]"}]}]], "Input",
 CellChangeTimes->{{3.8686115370438766`*^9, 3.8686115617399397`*^9}},
 CellLabel->
  "In[127]:=",ExpressionUUID->"9101fbb6-2a41-4cef-8728-b018549e44fe"],

Cell[BoxData[
 RowBox[{
  RowBox[{"randomRow", "[", "]"}], ":=", 
  RowBox[{"StringTrim", "[", 
   RowBox[{
    RowBox[{"ToString", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"randomCoreMaxUp", "[", "]"}], ",", " ", 
       RowBox[{"randomCoreDwellTime", "[", "]"}], ",", 
       RowBox[{"randomCoreRecirc", "[", "]"}], ",", " ", 
       RowBox[{"randomCoreRecirc", "[", "]"}], ",", 
       RowBox[{"0", "*", 
        RowBox[{"randomCoreStartPower", "[", "]"}]}], ",", 
       RowBox[{"randomCoreStartEnergy", "[", "]"}], ",", 
       RowBox[{"randomCoreVarOM", "[", "]"}]}], "}"}], "]"}], " ", ",", 
    RowBox[{"{", 
     RowBox[{"\"\<{\>\"", ",", "\"\<}\>\""}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.8686116226363497`*^9, 3.868611690117012*^9}, {
   3.8686117414376*^9, 3.8686118047738533`*^9}, {3.8686118348221807`*^9, 
   3.868611858910388*^9}, {3.868611896998637*^9, 3.868611919158738*^9}, 
   3.868611995984387*^9, {3.8686123349030457`*^9, 3.868612335159019*^9}},
 CellLabel->
  "In[128]:=",ExpressionUUID->"b1bc6405-5299-432f-b798-21ba113d6d6c"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"prefix", "[", "i_", "]"}], ":=", 
   RowBox[{
    RowBox[{"ToString", "[", "i", "]"}], "<>", 
    "\"\<, 100000, 2200, -1, 0.7, \>\""}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
  "suffix", "=", 
   "\"\<, -1,-1,1716,600,100,0.2,0,0,3.64,1,0.4,0.4,39960,18750,1.74, \
2022-08-04 Randomak NoStartPower\n\>\""}], ";"}]}], "Input",
 CellChangeTimes->{{3.868611998879587*^9, 3.868612026335531*^9}, {
   3.8686121926573153`*^9, 3.868612219466691*^9}, 3.8686122546361*^9, {
   3.8686123681761427`*^9, 3.868612381480466*^9}},
 CellLabel->
  "In[129]:=",ExpressionUUID->"d5baeeb8-f9da-4daa-9bb2-c7a34ac0265d"],

Cell[BoxData[
 RowBox[{
  RowBox[{"SeedRandom", "[", "1", "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.868612258700672*^9, 3.868612311646184*^9}},
 CellLabel->
  "In[131]:=",ExpressionUUID->"4ea1083a-4885-4ba8-8244-ae730073be9d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<randomak_19300-19349.csv\>\"", ",", " ", 
   RowBox[{"StringJoin", "[", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"prefix", "[", "i", "]"}], "<>", 
       RowBox[{"randomRow", "[", "]"}], "<>", "suffix"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "19300", ",", "19349"}], "}"}]}], "]"}], "]"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.868611672061008*^9, 3.8686117347730837`*^9}, {
  3.868611809310108*^9, 3.868611828069854*^9}, {3.8686120344397097`*^9, 
  3.8686120552795887`*^9}, {3.868612184913782*^9, 3.868612202659239*^9}, {
  3.868612322126671*^9, 3.868612322918475*^9}, {3.86861249443614*^9, 
  3.868612498731915*^9}, {3.868612787619363*^9, 3.868612807795431*^9}},
 CellLabel->
  "In[133]:=",ExpressionUUID->"50c49981-0782-4c9a-8c3e-4f5c3e639086"],

Cell[BoxData["\<\"randomak_19300-19349.csv\"\>"], "Output",
 CellChangeTimes->{{3.868611675028504*^9, 3.868611706386654*^9}, {
   3.86861176975142*^9, 3.868611780920643*^9}, {3.868611828552368*^9, 
   3.868611861281715*^9}, 3.868611929410337*^9, {3.8686120497392263`*^9, 
   3.868612055623811*^9}, {3.868612186948126*^9, 3.868612222252357*^9}, {
   3.868612273880576*^9, 3.868612277481429*^9}, {3.868612312961928*^9, 
   3.8686123832088737`*^9}, 3.8686124993160677`*^9, {3.8686128005519876`*^9, 
   3.868612808300899*^9}},
 CellLabel->
  "Out[133]=",ExpressionUUID->"73655228-8a0d-4ccb-9079-d614768c315d"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.8686122851732063`*^9, 
  3.868612287005269*^9}},ExpressionUUID->"c3e5112a-a137-4952-94c8-\
595cd72ccf5d"],

Cell[BoxData[
 RowBox[{
  RowBox[{"randomRow", "[", "]"}], ":=", 
  RowBox[{"StringTrim", "[", 
   RowBox[{
    RowBox[{"ToString", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"randomCoreMaxUp", "[", "]"}], ",", " ", 
       RowBox[{"randomCoreDwellTime", "[", "]"}], ",", 
       RowBox[{"randomCoreRecirc", "[", "]"}], ",", " ", 
       RowBox[{"randomCoreRecirc", "[", "]"}], ",", 
       RowBox[{"randomCoreStartPower", "[", "]"}], ",", 
       RowBox[{"randomCoreStartEnergy", "[", "]"}], ",", 
       RowBox[{"randomCoreVarOM", "[", "]"}]}], "}"}], "]"}], " ", ",", 
    RowBox[{"{", 
     RowBox[{"\"\<{\>\"", ",", "\"\<}\>\""}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.868612673777494*^9, 3.868612673920372*^9}},
 CellLabel->
  "In[134]:=",ExpressionUUID->"f713273f-6615-495b-8db6-ce9290f54501"],

Cell[BoxData[
 RowBox[{
  RowBox[{
  "suffix", "=", 
   "\"\<, -1,-1,1716,600,100,0.2,0,0,3.64,1,0.4,0.4,39960,18750,1.74, \
2022-08-04 Randomak\n\>\""}], ";"}]], "Input",
 CellChangeTimes->{{3.868612586374321*^9, 3.8686125865584517`*^9}},
 CellLabel->
  "In[135]:=",ExpressionUUID->"2593a23d-3c68-45eb-ac08-de5cf49783d8"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"SeedRandom", "[", "2", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Export", "[", 
  RowBox[{"\"\<randomak_19351-19399.csv\>\"", ",", " ", 
   RowBox[{"StringJoin", "[", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"prefix", "[", "i", "]"}], "<>", 
       RowBox[{"randomRow", "[", "]"}], "<>", "suffix"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "19350", ",", "19399"}], "}"}]}], "]"}], "]"}], ",", 
   " ", "\"\<Text\>\""}], "]"}]}], "Input",
 CellChangeTimes->{{3.868612571901688*^9, 3.86861261460697*^9}, {
  3.868612795219348*^9, 3.8686128351717863`*^9}},
 CellLabel->
  "In[138]:=",ExpressionUUID->"0a971a1b-1074-4f3e-af2d-ee2f5b41a6f9"],

Cell[BoxData["\<\"randomak_19351-19399.csv\"\>"], "Output",
 CellChangeTimes->{
  3.868612617207479*^9, 3.868612675290703*^9, {3.868612816564661*^9, 
   3.868612835509162*^9}},
 CellLabel->
  "Out[139]=",ExpressionUUID->"5ad0e8ee-3c5b-4dd8-b2f2-4ea6c3284ac4"]
}, Open  ]]
},
WindowSize->{1920., 1052.25},
WindowMargins->{{1440, Automatic}, {Automatic, 27.75}},
FrontEndVersion->"13.0 for Linux x86 (64-bit) (December 2, 2021)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"f414a5c2-0f76-49fb-9b85-f556238db20a"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 432, 11, 29, "Input",ExpressionUUID->"08a8a19c-236f-48d4-ba12-ef67373ab5d9"],
Cell[993, 33, 372, 9, 29, "Input",ExpressionUUID->"00d90d23-33c3-41cd-87bd-77e19fd2b5ab"],
Cell[1368, 44, 369, 9, 29, "Input",ExpressionUUID->"56fa90a2-413a-4718-bfb2-41796efc9099"],
Cell[1740, 55, 359, 9, 29, "Input",ExpressionUUID->"20749202-9f0f-4dcc-b5dc-3b10f4ef07cf"],
Cell[2102, 66, 365, 9, 29, "Input",ExpressionUUID->"adb18bdf-97d3-4336-b22b-d5fa23159cff"],
Cell[2470, 77, 375, 9, 29, "Input",ExpressionUUID->"9101fbb6-2a41-4cef-8728-b018549e44fe"],
Cell[2848, 88, 1077, 23, 29, "Input",ExpressionUUID->"b1bc6405-5299-432f-b798-21ba113d6d6c"],
Cell[3928, 113, 683, 17, 92, "Input",ExpressionUUID->"d5baeeb8-f9da-4daa-9bb2-c7a34ac0265d"],
Cell[4614, 132, 230, 5, 29, "Input",ExpressionUUID->"4ea1083a-4885-4ba8-8244-ae730073be9d"],
Cell[CellGroupData[{
Cell[4869, 141, 852, 18, 29, "Input",ExpressionUUID->"50c49981-0782-4c9a-8c3e-4f5c3e639086"],
Cell[5724, 161, 605, 9, 33, "Output",ExpressionUUID->"73655228-8a0d-4ccb-9079-d614768c315d"]
}, Open  ]],
Cell[6344, 173, 154, 3, 29, "Input",ExpressionUUID->"c3e5112a-a137-4952-94c8-595cd72ccf5d"],
Cell[6501, 178, 824, 19, 29, "Input",ExpressionUUID->"f713273f-6615-495b-8db6-ce9290f54501"],
Cell[7328, 199, 322, 8, 51, "Input",ExpressionUUID->"2593a23d-3c68-45eb-ac08-de5cf49783d8"],
Cell[CellGroupData[{
Cell[7675, 211, 720, 17, 51, "Input",ExpressionUUID->"0a971a1b-1074-4f3e-af2d-ee2f5b41a6f9"],
Cell[8398, 230, 259, 5, 33, "Output",ExpressionUUID->"5ad0e8ee-3c5b-4dd8-b2f2-4ea6c3284ac4"]
}, Open  ]]
}
]
*)

